Download it now!
Bug 39056 - Image in wrong place, table display wrong in docx file
Summary: Image in wrong place, table display wrong in docx file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Vinaya Mandke
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-07 21:55 UTC by Andrew
Modified: 2020-10-19 12:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
docx document mainly composed of tables (101.07 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-07-07 21:55 UTC, Andrew
Details
pdf, produced using msOffice 2007 (476.33 KB, application/pdf)
2012-09-28 08:51 UTC, sasha.libreoffice
Details
screenshot of first page made from msWord 2007 (173.17 KB, image/png)
2012-09-28 08:54 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2011-07-07 21:55:54 UTC
Created attachment 48879 [details]
docx document mainly composed of tables

Image of man in attached file is on the left rather than the right
Table display below this picture (probably unrelated to the picture) is also wrong, which then flows on to the pagination being wrong.  Numerous other differences occur.
Comment 1 Björn Michaelsen 2011-12-23 12:25:26 UTC Comment hidden (obsolete)
Comment 2 Florian Reisinger 2012-08-14 14:00:59 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 14:02:05 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:06:45 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:08:48 UTC Comment hidden (obsolete)
Comment 6 sasha.libreoffice 2012-09-28 08:51:22 UTC
Created attachment 67812 [details]
pdf, produced using msOffice 2007
Comment 7 sasha.libreoffice 2012-09-28 08:54:15 UTC
Created attachment 67813 [details]
screenshot of first page made from msWord 2007
Comment 8 sasha.libreoffice 2012-09-28 08:59:53 UTC
incorrect layout reproduced in 3.3.4 and 3.6.1 on Fedora 64 bit
I have exported as PDF in Word, but it produced incorrect-looking PDF. Then I made screenshot of first page of document.
Changing version to 3.3.4 as most early reproduced
Comment 9 Samuel Mehrbrodt (CIB) 2014-01-23 14:04:16 UTC
The images look good in current master.
@Andrew: Generally it's better to open a bug report for each problem with a minimalistic Document which shows only the one problem.

That makes it more likely that a developer picks up that bug.
Comment 10 Vinaya Mandke 2014-04-07 09:35:57 UTC
The issue with the attached file is that the section properties(columns) in the original file are not imported correctly.

Open the file in LO and in MS Word 2010, observe that the MS Word renders document with two columns, while LO doesn't. Hence the file opens in MS Word with contents on 2 pages while in LO it is 4 pages.
Comment 11 Commit Notification 2014-04-24 10:59:25 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e8aad6d45c53d554ccaf26de998ede708cfc289

fdo#39056 fdo#75431 Section Properties if section starts with table



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.